Uploaded image for project: 'openATTIC'
  1. openATTIC
  2. OP-2963

Replace static content in ceph-iscsi-rbd-unsupported-features.value.js

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 3.6.1
    • Fix Version/s: None
    • Component/s: WebUI
    • Labels:

      Description

      The content in the file is redundant to /webui/app/components/ceph-rbd/shared/ceph-rbd-features.constant.js

      For example if this is imported as features and lodash is loaded you could do the following to archive the same result:

      Unable to find source-code formatter for language: javascipt. Available languages are: actionscript, ada, applescript, bash, c, c#, c++, cpp, css, erlang, go, groovy, haskell, html, java, javascript, js, json, lua, none, nyan, objc, perl, php, python, r, rainbow, ruby, scala, sh, sql, swift, visualbasic, xml, yaml
      _.filter(
        _.map(features, (f, k) => {
          f.value = k;
          return f;
        }), f => !f.isSupportedISCSI)
      

      The gain from doing this is that we only have to maintain a compatibly map in one file, as this file seems to be not accurate as the striping feature is missing.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              sgmueller Stephan Müller
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated: